summaryrefslogtreecommitdiff
path: root/debian/patches/06_add_compile_time_defaults.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches/06_add_compile_time_defaults.dpatch')
-rwxr-xr-xdebian/patches/06_add_compile_time_defaults.dpatch55
1 files changed, 55 insertions, 0 deletions
diff --git a/debian/patches/06_add_compile_time_defaults.dpatch b/debian/patches/06_add_compile_time_defaults.dpatch
new file mode 100755
index 0000000000..81e6034d3c
--- /dev/null
+++ b/debian/patches/06_add_compile_time_defaults.dpatch
@@ -0,0 +1,55 @@
+#! /bin/sh -e
+## 06_add_compile_time_defaults.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad tor-0.1.1.5/src/or/config.c /tmp/dpep.Xv4cHn/tor-0.1.1.5/src/or/config.c
+--- tor-0.1.1.9/src/or/config.c 2005-10-17 03:54:24.917618642 +0200
++++ /tmp/foo/tor/src/or/config.c 2005-10-17 03:57:52.040022393 +0200
+@@ -111,7 +111,7 @@
+ VAR("ContactInfo", STRING, ContactInfo, NULL),
+ VAR("ControlPort", UINT, ControlPort, "0"),
+ VAR("CookieAuthentication",BOOL, CookieAuthentication, "0"),
+- VAR("DataDirectory", STRING, DataDirectory, NULL),
++ VAR("DataDirectory", STRING, DataDirectory, "/var/lib/tor"),
+ VAR("DebugLogFile", STRING, DebugLogFile, NULL),
+ VAR("DirAllowPrivateAddresses",BOOL, DirAllowPrivateAddresses, NULL),
+ VAR("DirBindAddress", LINELIST, DirBindAddress, NULL),
+@@ -162,7 +162,7 @@
+ VAR("ORPort", UINT, ORPort, "0"),
+ VAR("OutboundBindAddress", STRING, OutboundBindAddress, NULL),
+ VAR("PathlenCoinWeight", DOUBLE, PathlenCoinWeight, "0.3"),
+- VAR("PidFile", STRING, PidFile, NULL),
++ VAR("PidFile", STRING, PidFile, "/var/run/tor/tor.pid"),
+ VAR("ProtocolWarnings", BOOL, ProtocolWarnings, "0"),
+ VAR("ReachableAddresses", LINELIST, ReachableAddresses, NULL),
+ VAR("RecommendedVersions", LINELIST, RecommendedVersions, NULL),
+@@ -174,7 +174,7 @@
+ VAR("RendPostPeriod", INTERVAL, RendPostPeriod, "20 minutes"),
+ VAR("RephistTrackTime", INTERVAL, RephistTrackTime, "24 hours"),
+ OBSOLETE("RouterFile"),
+- VAR("RunAsDaemon", BOOL, RunAsDaemon, "0"),
++ VAR("RunAsDaemon", BOOL, RunAsDaemon, "1"),
+ VAR("RunTesting", BOOL, RunTesting, "0"),
+ VAR("SafeLogging", BOOL, SafeLogging, "1"),
+ VAR("ShutdownWaitLength", INTERVAL, ShutdownWaitLength, "30 seconds"),